Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::gpu::GpuClonerOptions Struct Reference

set some options on how to copy to GPU More...

`#include <GpuClonerOptions.h>`

Inheritance diagram for faiss::gpu::GpuClonerOptions:

## Public Attributes
IndicesOptions | indicesOptions
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
bool | storeTransposed
| For GpuIndexFlat, store data in transposed layout?
bool | verbose
| Set verbose options on the index.

## Detailed Description

set some options on how to copy to GPU

Definition at line 17 of file GpuClonerOptions.h.

## Member Data Documentation

IndicesOptions faiss::gpu::GpuClonerOptions::indicesOptions

how should indices be stored on index types that support indices (anything but GpuIndexFlat*)?

Definition at line 22 of file GpuClonerOptions.h.

bool faiss::gpu::GpuClonerOptions::useFloat16

for GpuIndexIVFFlat, is storage in float16? for GpuIndexIVFPQ, are intermediate calculations in float16?

Definition at line 29 of file GpuClonerOptions.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuClonerOptions.h
- /data/users/matthijs/github_faiss/faiss/gpu/GpuClonerOptions.cpp